import React from "react";
import { render } from "@testing-library/react-native";
import { MoleculePreviewFile, IPreviewFileProps } from "./index";

describe("[Native] MoleculePreviewFile", () => {
  it("Renders the component", () => {
    const props: IPreviewFileProps = {
      acceptedFormatText: "JPG, PNG (Max size: 4 MB)",
      placeholder: "test",
      uploadIcon: false,
      deleteFile: false,
      onChange: () => jest.fn(),
      onRemove: () => jest.fn(),
      onError: () => jest.fn(),
      placeholderProps: {
        size: "medium",
      },
    };

    const component = render(<MoleculePreviewFile {...props} />);

    expect(component).toBeTruthy();
  });
});
